C     Maximum number of intervals to integrate over in a bin
      INTEGER MFINTG
      PARAMETER (MFINTG = 50)
C     Maximum number of constraints and the depth of each
      INTEGER MCNSTR,MCNSUB
      PARAMETER (MCNSTR = 20, MCNSUB = 100)
C     Maximum number of steps in convoluting function with a Gaussian
      INTEGER MFCONV
      PARAMETER (MFCONV = 100)
C     Maximum number of intervals for general numerical integration
      INTEGER MSIMPS
      PARAMETER (MSIMPS = 1000)
C
C     STORAGE FOR HISTOGRAMS TO BE FIT
C
      INTEGER NDFIT,NFPTE
      COMMON/M9FITA/NDFIT,NFPTE
C
      REAL RFIT
      COMMON/M9FITB/RFIT(MFITWD)
C
C     NFITTP Fit type
C     NPARTP Type of parameters 0 = Normal
C                               1 = Fractions + overall normalization
C     JMINFX,JMINPX Cross-reference from MINUIT to Mn_Fit parameter numbers
C
      INTEGER NFITTP,NPARTP,NHFIT,IDFITA,IDFITB,IFPTRH,IFPTRD
     + ,IFNDIM,IFWPPT,IFPFIT,IFPUSE
     + ,IXEXCL,IYEXCL,IXINCL,IYINCL
     + ,IASSF,IDBCKA,IDBCKB
     + ,JMINFX,JMINPX
      REAL XLEXCL,XHEXCL,YLEXCL,YHEXCL,XLINCL,XHINCL,YLINCL,YHINCL
     + ,XFTPAR
      COMMON/M9FITC/NFITTP,NPARTP,NHFIT,IDFITA(MFITMX),IDFITB(MFITMX)
     1 ,IFPTRH(MFITMX),IFPTRD(MFITMX)
     1 ,IFNDIM(MFITMX),IFWPPT(MFITMX),IFPFIT(MFITMX),IFPUSE(MFITMX)
     3 ,IXEXCL(MFITMX),XLEXCL(10,MFITMX),XHEXCL(10,MFITMX)
     3 ,IYEXCL(MFITMX),YLEXCL(10,MFITMX),YHEXCL(10,MFITMX)
     3 ,IXINCL(MFITMX),XLINCL(10,MFITMX),XHINCL(10,MFITMX)
     3 ,IYINCL(MFITMX),YLINCL(10,MFITMX),YHINCL(10,MFITMX)
     4 ,XFTPAR(20,MFITMX),IASSF(MFUNMX,MFITMX)
     6 ,IDBCKA(MFITMX),IDBCKB(MFITMX)
     + ,JMINFX(MINMAX),JMINPX(MINMAX)
C
      CHARACTER*80 TFTIT
      CHARACTER*80 TFFIL
      CHARACTER*32 TFNAM
      COMMON/M9FITD/TFTIT(MFITMX),TFFIL(MFITMX)
     1 ,TFNAM(MDIMMX,MFITMX)
C
C     Fit results
C
      INTEGER NPAR_MN,NFRE_MN,NPTTOT
      REAL CHI2_MN,ALIK_MN,CONLEV,FICHI,FILIK
      COMMON/M9FITE/NPAR_MN,CHI2_MN,ALIK_MN,NFRE_MN,CONLEV
     1 ,NPTTOT
     1 ,FICHI(MFITMX),FILIK(MFITMX)
C
C     QFITER  Flag if fit iterations should be shown
C     QSEXCL
C     NDMODE  Mode for displaying the results of a fit
C     QSORTH  Flag if orthogonality limits have been set
C     QSNORM  Flag if overall normalization factor should be applied
C     QSBACK  Flag if background functions have been specified
C     QRATIO  Flag if ratio of areas used when fitting multiple histograms
C     QFINTG  Flag if function should be integrated across each bin
C     NFINTG  Number of intervals in each bin for integration
C     QFBINW  Use bin width when calculating function value
C     QFCONV  Convolute the function with a Gaussian
C     RFCONV  Width of the Gaussians to convolute
C     QFAREA  Calculate the AREA when using fragmentation functions and
C             dipion invariant mass functions
C     QMNCHGE Number of functions or fitting method changed
C     QFPLIM  Use plot limits for AREA
C
      LOGICAL QFITER,QSEXCL,QSORTH,QSNORM,QSBACK,QRATIO,QFINTG,QFBINW
     + ,QFCONV,QFAREA,QMNCHGE,QFPLIM
      INTEGER NFITER,NDMODE,NFINTG
      REAL RFCONV
      COMMON/M9FITF/QFITER,NFITER,QSEXCL,NDMODE
     + ,QSORTH,QSNORM,QSBACK,QRATIO,QFINTG,NFINTG,QFBINW
     + ,QFCONV,RFCONV(10),QFAREA,QMNCHGE,QFPLIM
C
C     Constraints
C     NCNSTR Number of constraints to be applied to the parameters
C     LCNSTR Length of each constraint
C     ICNTYP,ICNTP,ICNTF,ICNTV The constraint in form for AM_EXP
C     JCNSTX Cross-reference from MINUIT parameter to constraint number
      INTEGER NCNSTR,LCNSTR,ICNPAR,ICNTYP,ICNTP,ICNTF,ICNTV,JCNSTX
      COMMON/M9FITG/NCNSTR
     + ,LCNSTR(MCNSTR),ICNPAR(MCNSTR)
     + ,ICNTYP(MCNSUB,MCNSTR),ICNTP(MCNSUB,MCNSTR),ICNTF(MCNSUB,MCNSTR)
     + ,ICNTV(10,MCNSUB,MCNSTR)
     + ,JCNSTX(MINMAX)
C
      CHARACTER*80 TCNSTR
      COMMON/M9FITH/ TCNSTR(MCNSTR)
